Subject: Error about inherited table of column in pgadmin1.20.0

From: JasmineLiu <[email-masked]>
Date: Wed, 14 Oct 2015 01:36:38 -0700 (MST)

Hi, all !

This is Liu Yuanyuan.
I find the inherited table of column shown in pgadmin 1.20.0, sometimes
isn’t right. That should be a bug.
Hope someone to do something about this problem!
Here is my example:

First I execute the following sql in pgadmin 1.20.0 by query tool:
create schema test;
create table test.a1(id int);
create table test.a2(id int, name varchar);
create table test.a3(age int);
create table test.aa() inherits(test.a1,test.a2,test.a3);

Then in main view of pgadmin 1.20.0：
It shows the column age is inherited from table test.a2, this is not right.
<http://postgresql.nabble.com/file/n5869928/1.jpg> 
<http://postgresql.nabble.com/file/n5869928/2.jpg>  

I also check the code of pgadmin 1.20.0, I think the method to specify the
inherited table of columns is not correct,especially when the inherited
tables have same column.

Thanks and hope to hear from you soon!
 
Best wishes!
Liu Yuanyuan

--
View this message in context: http://postgresql.nabble.com/Error-about-inherited-table-of-column-in-pgadmin1-20-0-tp5869928.html
Sent from the PostgreSQL - pgadmin hackers mailing list archive at Nabble.com.

-- 
Sent via pgadmin-hackers mailing list ([email-masked])
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgadmin-hackers